package cn.com.poc.thirdparty.resource.demand.ai.function;

/**
 * @author alex.yao
 * @date 2025/3/20
 */
public class AbstractFunctionResult<T> {

    private String promptContent;

    private T functionResult;


    public String getPromptContent() {
        return promptContent;
    }

    public void setPromptContent(String promptContent) {
        this.promptContent = promptContent;
    }

    public T getFunctionResult() {
        return functionResult;
    }

    public void setFunctionResult(T functionResult) {
        this.functionResult = functionResult;
    }
}
